Loading...
Searching...
No Matches
Magick::spreadImage Class Reference

## Public Member Functions

| spreadImage (const size_t amount_=3)
void | operator() (Image &image_) const

## Private Attributes

size_t | _amount

## Detailed Description

Definition at line 1098 of file STL.h.

## Constructor & Destructor Documentation

## spreadImage()

Magick::spreadImage::spreadImage | ( | const size_t | amount_ = `3` | ) |

Definition at line 1027 of file STL.cpp.

: _amount( amount_ )
{
}

## Member Function Documentation

## operator()()

void Magick::spreadImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1031 of file STL.cpp.

{
image_.spread( (double) _amount );
}

## Field Documentation

## _amount

size_t Magick::spreadImage::_amount

private

Definition at line 1106 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp